やばっ

これは恐ろしいことになりそうでした というかブログ書込み何時の間にか久しぶりでした この1週間あまりの間に例によって色々ありました

今朝この早朝の羽田空港全日空ラウンジで「やばい」と思ったことの筆頭は、何とこのブログにアクセスできなくなっていたのです いや正確にはアクセスできるのですが、参照できません つまり WordPressが作動していないのです

自分で何をしたかを思い出しました 実はこれから先の10年を見越して、PHPを 5.3から 7.1に upgradeしたのです それがまずかったのですねえ その結果 WordPressが作動しなくなったのです 通常 PHP 7.1は PHP5.3に対して上位互換性がかなりの部分保たれていると思うのですが、何れにしても作動しなくなったので慌てて今戻しました これにより再びブログにアクセス可能となりましたねっ

さて、何で 7.1にしたかというと、今ここ数日ですが、のめり込みつつあるのが、以前も挑戦した Laravelなのです この最新 Long-Term Support (LTS) versionが Laravel 5.5なのですが、それに挑戦始めたのです 問題は Laravel 5.5は絶対的に PHP > 7.0が必要なのです それで深く考えずに kamakuraheart.orgの PHPを 7.1にしたのです それが今朝の顛末でした

これから 6:15AM発の千歳便で札幌東徳洲会病院に日帰りで入ります きっと寒いだろうなあ きっと雪に覆われているのだろうなあ

投稿者: (KAMAKURA & SAPPORO)Dr_Radialist

Expert Interventional Cardiologist and Amateur Computer Programmer

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です